"{ Package: 'stx:goodies/ston' }"

"{ NameSpace: Smalltalk }"

Object subclass:#STONReference
	instanceVariableNames:'index'
	classVariableNames:''
	poolDictionaries:''
	category:'STON-Core-Reader'
!

!STONReference class methodsFor:'instance creation'!

index: integer
	^ self new
		index: integer;
		yourself
! !

!STONReference methodsFor:'accessing'!

index
	^ index
!

index: integer
	index := integer
! !

!STONReference methodsFor:'comparing'!

= anObject
	^ self class == anObject class and: [ self index = anObject index ]
!

hash
	^ index hash
! !

!STONReference methodsFor:'printing'!

printOn: stream
	super printOn: stream.
	stream nextPut: $(; print: index; nextPut: $)
! !

!STONReference methodsFor:'testing'!

isStonReference
	^ true
! !

